This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 913325 - Review Request: trac-defaultcc-plugin - Trac plugin to set default CC address(es) by component
Summary: Review Request: trac-defaultcc-plugin - Trac plugin to set default CC address...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-21 00:39 UTC by Adam Williamson
Modified: 2013-03-31 22:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 16:39:00 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Adam Williamson 2013-02-21 00:39:47 UTC
Spec URL: https://www.happyassassin.net/extras/trac-defaultcc-plugin.spec
SRPM URL: https://www.happyassassin.net/extras/trac-defaultcc-plugin-0.3-0.1.svn12643.fc19.src.rpm
Description: A trac plugin which automatically adds a default CC list when a new
ticket is created, based on the selected Component. CC lists can be
configured per Component through the component admin panel.
Fedora Account System Username: adamwill

Comment 1 Adam Williamson 2013-02-21 00:41:39 UTC
Spec is based straight off of the trac-tickettemplate-plugin spec, needed little in the way of modification. I can't easily test this as I don't have a local trac instance and setting one up is kind of a drag. Kevin says he has a test instance and can try it out there. It's a simple enough plugin, only issue might be if it happens to be incompatible with our version of trac, but I think that should be okay. I have run rpmlint on the spec and RPMs, and it's happy.

Comment 2 Kevin Fenzi 2013-02-21 04:55:05 UTC
Will review this tomorrow morning most likely... ;)

Comment 3 Kevin Fenzi 2013-02-22 22:27:27 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
(no md5 due to checkout, but a checkout and diff shows no changes)
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
see below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have sane scriptlets. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 
trac-defaultcc-plugin.src: W: invalid-url Source0: trac-defaultcc-plugin-svn12643.tar.xz

can be ignored. 

I don't see any blockers here, so this package is APPROVED. 

I'm happy to co-maintain.

Comment 4 Adam Williamson 2013-02-23 19:08:22 UTC
New Package SCM Request
=======================
Package Name: trac-defaultcc-plugin
Short Description: Trac plugin to set default CC address(es) by component
Owners: adamwill kevin
Branches: el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-02-25 00:06:39 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-02-26 15:44:28 UTC
trac-defaultcc-plugin-0.3-0.1.svn12643.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-defaultcc-plugin-0.3-0.1.svn12643.el6

Comment 7 Adam Williamson 2013-02-26 16:39:00 UTC
I've done a Rawhide build already, so closing. Thanks, Kevin and Jon.

Comment 8 Fedora Update System 2013-03-31 22:38:45 UTC
trac-defaultcc-plugin-0.3-0.1.svn12643.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.